package email

const htmlTemplate = `<!DOCTYPE html>
<html>
<head>
    <title>Report</title>
</head>
<body style="font-family: Arial, sans-serif; margin: 0; padding: 0;">
    <div style="background-color: #f4f4f4; padding: 20px;">
        <div style="max-width: 600px; background-color: #ffffff; margin: 0 auto; padding: 20px; border-radius: 4px; box-shadow: 0 0 10px rgba(0,0,0,0.1);">
            <h2 style="color: #333333; margin-top: 0;">Bucket Report</h2>
            <hr style="border: none; border-bottom: 1px solid #ddd;">
            <p><strong>Local Backup Path:</strong> {{local_backup_path}}</p>
            <p><strong>Bucket Name:</strong> {{bucket}}</p>
            <p><strong>Local files:</strong> {{count_local}}</p>
            <p><strong>B2 files:</strong> {{count_b2}}</p>
            <p><strong>OK local in B2:</strong> {{count_ok}}</p>
            <p><strong>B2 files not in local:</strong> {{count_not_in_local}}</p>
            <p><strong>Local files not in B2:</strong> {{count_not_in_cloud}}</p>
            <hr style="border: none; border-bottom: 1px solid #ddd;">
            <p style="text-align: center; color: #666666;">This is an automated report, please do not reply to this email.</p>
        </div>
    </div>
</body>
</html>
`
